@media (max-width: 768px) {
    .container {
      background-color: transparent !important;
    }
  }
body {
    font-family: monospace;
    background-image: url('https://raw.githubusercontent.com/furuhata123/furuhata123.github.io/refs/heads/main/public/assets/unused/SB089.JPG');
    background-size: 110%;
    color: #333;
    display: flex;
    flex-direction: column;
    align-items: center;

    overflow-y: scroll;
    min-height: 100vh;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding-top: 5vh;
    padding-bottom: 5vh;
    position:absolute;
    top:0;
    bottom:0;
    left:20vw;
    right:20vw;
    background-image: url("https://raw.githubusercontent.com/furuhata123/furuhata123.github.io/refs/heads/main/public/assets/unused/0232.gif");
    border-left:#547d83 3px solid;
    border-right:#547d83 3px solid;

    min-height:100vh;
}


.guestbook-box {
    border: 2px solid #000;
    padding: 1rem;

    background-image: url("https://raw.githubusercontent.com/furuhata123/furuhata123.github.io/refs/heads/main/public/assets/unused/0388.gif");
    box-shadow: 3px 3px 0 #888;
    max-width: 400px;
    width: 100%;
}

h1 {
    font-size: 18px;
    margin-bottom: 1rem;
    text-align: center;
}

h2 {
    font-size: 16px;
    margin-bottom: 1rem;
}

input,
textarea {
    width: 100%;
    margin-bottom: 0.8rem;
    border: 1px solid #333;
    padding: 0.3rem;
    font-family: inherit;
    font-size: 13px;
}

canvas {
    background-color: #fff;
    border: 1px dashed #888;
    margin-bottom: 0.8rem;
    cursor: crosshair;
}

button {
    background: #fff;
    border: 2px solid #000;
    padding: 0.4rem 1rem;
    cursor: pointer;
    font-family: inherit;
    font-size: 14px;
    transition: transform 0.1s;
}

button:hover {
    background: #eee;
    transform: scale(1.02);
}

.messages {
    margin-top: 2rem;
}

#message-board {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.message-card {
    background: #F1ECE6;
    border: 2px dashed #999;
    padding: 1rem;
    font-family: monospace;
    font-size: 14px;
    box-shadow: 2px 2px 0 #000;
    max-width: 400px;
    position: relative;
}

.message-card .drawing-preview {
    display: block;
    margin-top: 0.5rem;
    max-width: 100%;
    border: 1px solid #ccc;
}

.time {
    font-size: 12px;
    color: #666;
    font-style: italic;
  }
  